Bug 3532 - Recovery thread dies in Tomcat
: Recovery thread dies in Tomcat
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 4.0.0
: PC Windows XP
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-29 14:11 by
Modified: 2005-08-03 16:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-29 14:11:18
2005-06-29 12:40:13,859 WARN  factory.ManagedJobFactoryResource [Thread-
6,run:160] Recovery exception
org.globus.wsrf.ResourceException: Unabled to initialize resource security 
configuration.; nested exception is:
        org.globus.wsrf.config.ConfigException: Failed to load security 
descriptor: "etc/gram-service/managed-job-securit\
y-config.xml"
        at 
org.globus.exec.service.exec.ManagedExecutableJobResource.initSecurity
(ManagedExecutableJobResource.java:339)
        at org.globus.exec.service.exec.ManagedExecutableJobResource.initialize
(ManagedExecutableJobResource.java:186)
        at 
org.globus.exec.service.exec.ManagedExecutableJobResource.initializeWholeState
(ManagedExecutableJobResource.ja\
va:157)
        at 
org.globus.exec.service.exec.PersistentManagedExecutableJobResource.initializeWh
oleState(PersistentManagedExec\
utableJobResource.java:141)
        at org.globus.exec.service.utils.PersistenceHelper.load
(PersistenceHelper.java:146)
        at 
org.globus.exec.service.exec.PersistentManagedExecutableJobResource.load
(PersistentManagedExecutableJobResourc\
e.java:250)
        at org.globus.wsrf.impl.ResourceHomeImpl.createNewInstanceAndLoad
(ResourceHomeImpl.java:242)
        at org.globus.wsrf.impl.ResourceHomeImpl.get(ResourceHomeImpl.java:277)
        at org.globus.wsrf.impl.ResourceHomeImpl.find(ResourceHomeImpl.java:262)
        at org.globus.exec.service.exec.ManagedExecutableJobHome.recover
(ManagedExecutableJobHome.java:160)
        at 
org.globus.exec.service.factory.ManagedJobFactoryResource$1RecoveryThread.run
(ManagedJobFactoryResource.java:1\
57)
Caused by: org.globus.wsrf.config.ConfigException: Failed to load security 
descriptor: "etc/gram-service/managed-job-secu\
rity-config.xml"
        at org.globus.wsrf.impl.security.descriptor.SecurityConfig.getConfigDir
(SecurityConfig.java:451)
        at 
org.globus.wsrf.impl.security.descriptor.SecurityConfig.loadSecurityDescriptor
(SecurityConfig.java:228)
        at 
org.globus.wsrf.impl.security.descriptor.SecurityConfig.loadSecurityDescriptor
(SecurityConfig.java:202)
        at org.globus.wsrf.impl.security.descriptor.ResourceSecurityConfig.init
(ResourceSecurityConfig.java:56)
        at 
org.globus.exec.service.exec.ManagedExecutableJobResource.initSecurity
(ManagedExecutableJobResource.java:337)
        ... 10 more


This is caused by combination of issues (separate thread without MC associated 
with it)
------- Comment #1 From 2005-06-29 15:06:08 -------
Jarek said this is something that needs to be figured out in the security code.
------- Comment #2 From 2005-06-29 17:00:30 -------
I'll take care of this. 
------- Comment #3 From 2005-06-30 17:03:47 -------
Fixed. Committed patches to globus_4_0_branch and trunk.